# Uses of Interface
com.fasterxml.jackson.core.FormatSchema

Packages that use FormatSchema
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of FormatSchema in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return FormatSchema
Modifier and Type
Method
Description
`FormatSchema`
JsonGenerator.`getSchema()`
Method for accessing Schema that this generator uses, if any; `null` if none.
`FormatSchema`
JsonParser.`getSchema()`
Method for accessing Schema that this parser uses, if any.
Methods in com.fasterxml.jackson.core with parameters of type FormatSchema
Modifier and Type
Method
Description
`boolean`
JsonFactory.`canUseSchema(FormatSchema schema)`
Method that can be used to quickly check whether given schema is something that parsers and/or generators constructed by this factory could use.
`boolean`
JsonGenerator.`canUseSchema(FormatSchema schema)`
Method that can be used to verify that given schema can be used with this generator (using `JsonGenerator.setSchema(com.fasterxml.jackson.core.FormatSchema)`).
`boolean`
JsonParser.`canUseSchema(FormatSchema schema)`
Method that can be used to verify that given schema can be used with this parser (using `JsonParser.setSchema(com.fasterxml.jackson.core.FormatSchema)`).
`abstract boolean`
TokenStreamFactory.`canUseSchema(FormatSchema schema)`
Method that can be used to quickly check whether given schema is something that parsers and/or generators constructed by this factory could use.
`void`
JsonGenerator.`setSchema(FormatSchema schema)`
Method to call to make this generator use specified schema.
`void`
JsonParser.`setSchema(FormatSchema schema)`
Method to call to make this parser use specified schema.

## Uses of FormatSchema in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return FormatSchema
Modifier and Type
Method
Description
`FormatSchema`
JsonGeneratorDelegate.`getSchema()`
`FormatSchema`
JsonParserDelegate.`getSchema()`
Methods in com.fasterxml.jackson.core.util with parameters of type FormatSchema
Modifier and Type
Method
Description
`boolean`
JsonGeneratorDelegate.`canUseSchema(FormatSchema schema)`
`boolean`
JsonParserDelegate.`canUseSchema(FormatSchema schema)`
`void`
JsonGeneratorDelegate.`setSchema(FormatSchema schema)`
`void`
JsonParserDelegate.`setSchema(FormatSchema schema)`